> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Int's Passport

> Means of Identifications



## OpenAPI

````yaml /openapi/identity.json post /kyc/int-passport
openapi: 3.0.2
info:
  title: Flick Identity API
  description: 'This is a sample API Document for Flick services '
  termsOfService: http://swagger.io/terms/
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For Identity check using Flick
security:
  - bearerAuth: []
tags:
  - name: Individuals(KYC)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Businesses(KYB)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Biometrics
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /kyc/int-passport:
    post:
      tags:
        - Individuals(KYC)
      summary: Int's Passport
      description: Means of Identifications
      operationId: Check International passport
      requestBody:
        description: Checking for International passport Identification
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Passport'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PassportResponse'
        '405':
          description: Invalid input
      security:
        - bearerAuth: []
components:
  schemas:
    Passport:
      required:
        - number
        - last_name
      type: object
      properties:
        number:
          type: string
          example: B1647959
        last_name:
          type: string
          example: Kingsley
    PassportResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        message:
          type: string
          example: Customer identity fetched successfully
        data:
          type: object
          properties:
            number:
              type: string
              example: B10001647
            response_code:
              type: string
              example: '00'
            data:
              properties:
                reference_id:
                  type: string
                  example: '2023130'
                gender:
                  type: string
                  example: Male
                signature:
                  type: string
                  example: >-
                    https://bwebhookbucket.s3.us-east-2.amazonaws.com/uploads.jpg
                expiry_date:
                  type: string
                  example: 14/12/2029
                last_name:
                  type: string
                  example: Kingsley
                photo:
                  type: string
                  example: https://bwebhookbucket.s3.us-east-2.amazonaws.com.jpg
                middle_name:
                  type: string
                  example: Kingsley
                issued_at:
                  type: string
                  example: Eti-osa
                number:
                  type: string
                  example: '345211'
                issued_date:
                  type: string
                  example: 1989/10/24
                dob:
                  type: string
                  example: 1989/10/24
                first_name:
                  type: string
                  example: Kingsley
                document_type:
                  type: string
                  example: Standard Passport
            session:
              type: string
              example: '{}'
            detail:
              type: string
              example: Intl. Passport Verification Successful
            verification:
              type: object
              properties:
                reference:
                  type: string
                  example: 64-4002-92f0-1
                status:
                  type: string
                  example: VERIFIED
            status:
              type: string
              example: 'true'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.